# List all loans

**GET** `/loans`

List all loans under the platform. Filtered results can be retrieved with extra parameters in the query.

### Query Parameters

- `created.gt` `date-time` — Return results where the `created_at` field is greater than this value.
- `created.gte` `date-time` — Return results where the `created_at` field is greater than or equal to this value.
- `created.lt` `date-time` — Return results where the `created_at` field is less than this value.
- `created.lte` `date-time` — Return results where the `created_at` field is less than or equal to this value.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `entity_id` `string` — Filter loans by entity ID.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `loan_program_id` `string` — Filter loans by loan program ID.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.
- `status` `string` — Filter loans by status.

**Request**

```shell
curl 'https://api.column.com/loans?entity_id=<entity_id>' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "has_more": false,
  "loans": [
    {
      "allow_overpayment": false,
      "auto_sell": false,
      "balances": {
        "interest_paid": "0",
        "interest_receivable": "0",
        "principal_charged_off": "0",
        "principal_holding": "0",
        "principal_outstanding": "0",
        "principal_paid": "0",
        "retained_interest_paid": "0",
        "retained_interest_receivable": "0",
        "retained_principal_charged_off": "0",
        "retained_principal_outstanding": "0",
        "retained_principal_paid": "0",
        "servicing_fee_payable": "0"
      },
      "canceled_at": null,
      "charged_off_at": null,
      "created_at": "2025-08-03T15:53:27Z",
      "currency": "USD",
      "delinquent_at": null,
      "description": "sample loan",
      "disputed_at": null,
      "id": "loan_30mcttnSZBlSahXy6LUFzbeemlk",
      "interest_config_id": "",
      "is_business_seasoning_days": false,
      "is_revolving": true,
      "loan_program_id": "",
      "maturity_date": "2028-10-10",
      "max_principal_balance": "50000000",
      "paid_off_at": null,
      "primary_signer_entity_id": "enti_2zI19bAiyHSmD5iGBZwMx7jwICd",
      "retained_by_column": false,
      "seasoning_days": 0,
      "status": "current"
    }
  ]
}
```
